Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Stock Class Reference

A C++ wrapper class for various stock methods. More...

`#include <inti/gtk/stock.h>`

List of all members.

## Static Public Member Functions

Methods

- void add (const char *stock_id, const char *label)
    Registers a stock item.
- void add (const char *stock_id, const char *label, Gdk::ModifierTypeField modifier, unsigned int key)
    Registers a stock item.
- void add (const char *stock_id, const char *label, Gdk::ModifierTypeField modifier, unsigned int key, const char *domain)
    Registers a stock item.
- bool lookup (const char *stock_id, StockItem &item)
    Fills item with the registered values for stock_id, returning true if stock_id was known.
- std::vector< String > list_ids ()
    Retrieves a list of all known stock IDs added to an IconFactory or registered with add().

## Detailed Description

A C++ wrapper class for various stock methods.

Stock is a convenience class that wraps the miscellaneous GTK+ stock functions.

## Member Function Documentation

void Inti::Gtk::Stock::add | ( | const char * | stock_id,
|  | const char * | label,
|  | Gdk::ModifierTypeField | modifier,
|  | unsigned int | key,
|  | const char * | domain
| ) | `[static]`

  | Registers a stock item. Parameters:
  stock_id | The string identifier for the stock item.
  label | The user-visible label.
  modifier | The modifier combination of the accelerator.
  key | The key value of the accelerator
  domain | The translation domain.
If the item already exists with the same stock ID as one of the items, the old item gets replaced.

void Inti::Gtk::Stock::add | ( | const char * | stock_id,
|  | const char * | label,
|  | Gdk::ModifierTypeField | modifier,
|  | unsigned int | key
| ) | `[static]`

  | Registers a stock item. Parameters:
  stock_id | The string identifier for the stock item.
  label | The user-visible label.
  modifier | The modifier combination of the accelerator.
  key | The key value of the accelerator
If the item already exists with the same stock ID as one of the items, the old item gets replaced.

void Inti::Gtk::Stock::add | ( | const char * | stock_id,
|  | const char * | label
| ) | `[static]`

  | Registers a stock item. Parameters:
  stock_id | The string identifier for the stock item.
  label | The user-visible label.
If the item already exists with the same stock ID as one of the items, the old item gets replaced.

std::vector<String> Inti::Gtk::Stock::list_ids | ( |  | ) | `[static]`

| Retrieves a list of all known stock IDs added to an IconFactory or registered with add(). Returns: A vector of String that holds the list of known stock IDs.

bool Inti::Gtk::Stock::lookup | ( | const char * | stock_id,
|  | StockItem & | item
| ) | `[static]`

  | Fills item with the registered values for stock_id, returning true if stock_id was known. Parameters:
  stock_id | The string identifier for the stock item.
  item | A stock item to initialize with values.
Returns: true if item was initialized.

The documentation for this class was generated from the following file:

- stock.h

Main Page - Footer